Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.providers.authentication
Class LDAPIdnAstnDelegate

    java.lang.Object
      |
      +--weblogic.security.providers.authentication.LDAPIdnAstnDelegate

public final class LDAPIdnAstnDelegate
extends java.lang.Object

This is the class that integrates with LDAP. * @exclude

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`LDAPIdnAstnDelegate(weblogic.security.providers.authentication.LDAPX509IdentityAsserterMBean provMBean)` Constructor

Method Summary
`java.lang.String` | `assertIdentity(java.lang.Object token)` Assert the user identity based on an X.509 Certificate Returns the WebLogic username
`java.lang.String` | `getCertAttr()` Get the certificate LDAP attribute
`java.lang.String` | `getCertMapping()` Get the certificate mapping
`weblogic.security.utils.LDAPServerInfo` | `getServerInfo()` Get the LDAP Server Info
`java.lang.String` | `getUnameAttr()` Get the username LDAP attribute
`java.lang.String[]` | `getUserFilterAttrs()` Get filter attributes used to search the directory
`void` | `setCertAttr(java.lang.String certAttr)` Set the certificate LDAP attribute
`void` | `setCertMapping(java.lang.String certMapping)` Set the certificate mapping
`void` | `setServerInfo(weblogic.security.utils.LDAPServerInfo serverInfo)` Set the LDAP Server Info
`void` | `setUnameAttr(java.lang.String unameAttr)` Set the username LDAP attribute
`void` | `setUserFilterAttrs(java.lang.String[] userFilterAttrs)` Set filter attributes used to search the directory

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LDAPIdnAstnDelegate

    public LDAPIdnAstnDelegate(weblogic.security.providers.authentication.LDAPX509IdentityAsserterMBean provMBean)

  Constructor

  See Also:
    `LDAPX509IdentityAsserterMBean`

Method Detail

### assertIdentity

    public java.lang.String assertIdentity(java.lang.Object token)
                                    throws IdentityAssertionException

  Assert the user identity based on an X.509 Certificate Returns the WebLogic username

### setServerInfo

    public void setServerInfo(weblogic.security.utils.LDAPServerInfo serverInfo)

  Set the LDAP Server Info

### getServerInfo

    public weblogic.security.utils.LDAPServerInfo getServerInfo()

  Get the LDAP Server Info

### setUserFilterAttrs

    public void setUserFilterAttrs(java.lang.String[] userFilterAttrs)

  Set filter attributes used to search the directory

### getUserFilterAttrs

    public java.lang.String[] getUserFilterAttrs()

  Get filter attributes used to search the directory

### setUnameAttr

    public void setUnameAttr(java.lang.String unameAttr)

  Set the username LDAP attribute

### getUnameAttr

    public java.lang.String getUnameAttr()

  Get the username LDAP attribute

### setCertAttr

    public void setCertAttr(java.lang.String certAttr)

  Set the certificate LDAP attribute

### getCertAttr

    public java.lang.String getCertAttr()

  Get the certificate LDAP attribute

### setCertMapping

    public void setCertMapping(java.lang.String certMapping)

  Set the certificate mapping

### getCertMapping

    public java.lang.String getCertMapping()

  Get the certificate mapping

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD